:root {
  --orange: #F37221;
  --dark: #222;
  --light: #f9f9f9;
}

.sticky-header {
    position: sticky;
    top: 0;
    width: 100%;
    z-index : 200;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    background-color: white;
    color: black;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.logo img {
    height: 80px;
    width: auto;
}

.nav-links {
    display: flex;
    list-style: none;
    text-decoration : none;
    margin: 0;
    padding: 0;
}

.nav-links li {
    margin: 20px 20px;
    position : relative;
    padding : 0;
}

.nav-links li a {
    font-size : 1rem;
    color: black;
    text-decoration: none;
    font-weight : bold;
}

.nav-links li a#active{
	color : #F37221;
}

.nav-links li a:hover{
	color : #F37221;
}

.dropdown-menu {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background-color: white;
  list-style: none;
  margin: 0;
  padding : 0;
  border-radius: 0 0 4px 4px;
  min-width : 250px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  z-index: 100;
  animation: fadeIn 0.3s ease;
}

.dropdown-menu.right{
    left : -200%;
}

.dropdown-menu li{
    display : flex;
    align-items : center;
    justify-content : left;
}

.nav-links li:hover .dropdown-menu {
  display: block;
}

.dropdown-menu li a {
  color: var(--dark);
  padding : 0.5rem;
  margin : 0;
  display: block;
  transition: background-color 0.3s ease;
}

.dropdown-menu li a:hover {
  background-color: var(--light);
  color: var(--orange);
}

@keyframes fadeIn {
  from { opacity: 0; transform: translateY(-10px); }
  to { opacity: 1; transform: translateY(0); }
}

.hamburger {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    position: relative;
    width: 30px;
    height: 30px;
    z-index: 101; /* Assurez-vous que le bouton est au-dessus du menu */
}

.hamburger-line {
    width: 30px;
    height: 3px;
    background-color: black;
    margin: 6px 0;
    transition: 0.4s;
}

.hamburger.active .hamburger-line:nth-child(1) {
    transform: rotate(-45deg) translate(-5px, 6px);
}

.hamburger.active .hamburger-line:nth-child(2) {
    opacity: 0;
}

.hamburger.active .hamburger-line:nth-child(3) {
    transform: rotate(45deg) translate(-5px, -6px);
}



@media (max-width: 1050px) {
    .hamburger {
        display: block;
    }

    .nav-links {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(255, 255, 255, 0.95);
        flex-direction: column;
        align-items: center;
        justify-content: center;
        display: none;
        z-index: 100;
    }

    .nav-links.active {
        display: flex;
    }

    .nav-links li:hover .dropdown-menu {
        display: none;
    }
}

body.no-scroll {
    overflow: hidden;
}